
Redmine - Feature #7403

REST API for Versions

2011-01-21 19:53 - Anonymous

Status: Closed Start date: 2011-01-21

Priority: Normal Due date:  

Assignee:  % Done: 80%

Category: REST API Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

It would be great to have versions available via the REST API.

Related issues:

Related to Redmine - Feature #9088: REST API to create Project Versions Closed 2011-08-18

Associated revisions

Revision 6180 - 2011-07-04 21:34 - Jean-Philippe Lang

Adds REST API for versions (#7403).

Revision 6183 - 2011-07-05 18:29 - Jean-Philippe Lang

Makes versions resource shallow (#7403).

History

#1 - 2011-03-03 11:52 - Florent Fievez

+1

I have a database storing some info about our product versions, and for now, i must store redmine version id to display a link to redmine, I think it's

bad to store id while it should be very simple for redmine to provide an api to display versions based on project and name.

#2 - 2011-03-18 13:19 - Ramesh Nair

Hey guys, I've had a crack at doing this. You can grab the changes from my forked code over at Github ->

https://github.com/7city/redmine/commit/97341f33e61761e018f140e1d5e8b06c53e37b3d

I'm not a Ruby developer so I'm sure it can be done much more elegantly!

#3 - 2011-03-18 13:20 - Ramesh Nair

Forgot to add, to fetch the versions as XML simply append ".xml" to the normal Roadmap URL as such:

http://redmine/projects/myproject/roadmap.xml

I did think of using versions.xml or something like that but I'm sure the Redmine core team have some better ideas on that.

#4 - 2011-03-18 15:23 - Ramesh Nair

URL is better now:

/versions.xml?project_id=<project number of url-friendly name>

 Ramesh Nair wrote:

Forgot to add, to fetch the versions as XML simply append ".xml" to the normal Roadmap URL as such:

http://redmine/projects/myproject/roadmap.xml

I did think of using versions.xml or something like that but I'm sure the Redmine core team have some better ideas on that.

#5 - 2011-03-23 08:43 - Toshi MARUYAMA

- Category set to REST API
#6 - 2011-07-04 21:35 - Jean-Philippe Lang

- Subject changed from REST API - Versions to REST API for Versions

- Status changed from New to Resolved

- Target version set to 1.3.0

- % Done changed from 0 to 80

Added in r6180. See Rest_Versions.

#7 - 2011-07-21 19:40 - Alex Last

I'll add support to Redmine Java API: http://code.google.com/p/redmine-java-api/issues/detail?id=56

#8 - 2011-07-31 11:23 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

#9 - 2017-01-22 06:33 - Go MAEDA

- Related to Feature #9088: REST API to create Project Versions added
